Bug 196367 - [exp-run] Update devel/cmake to 3.1.0.
Summary: [exp-run] Update devel/cmake to 3.1.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-29 21:13 UTC by Raphael Kubo da Costa
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2014-12-29 21:13:29 UTC
kde@ would like an exp-run for devel/cmake*. The patch is at <https://people.freebsd.org/~rakuco/exp-runs/cmake-3.1.0-v1.patch>.

If possible, please test it with both FreeBSD < 10 and >= 10, as versions older than 10 now depend on archivers/libarchive.
Comment 1 Antoine Brodin freebsd_committer 2014-12-30 07:36:36 UTC
Take for exp-run
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-12-30 10:14:45 UTC
For completeness, I have uploaded https://people.freebsd.org/~rakuco/exp-runs/cmake-3.1.0-v2.patch that incorporates the fix for bug 196374 and removes the dependency on archivers/libarchive from devel/cmake-modules.

I don't think a new exp-run is needed for this, but it's good to have the patch around.
Comment 3 Antoine Brodin freebsd_committer 2014-12-30 17:06:45 UTC
results of 1st exp-run:

http://pb2.nyi.freebsd.org/build.html?mastername=101amd64-default-PR196367&build=2014-12-30_10h24m02s

7 new failures:

+ {"origin"=>"cad/brlcad", "pkgname"=>"brlcad-7.24.0_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"math/plplot", "pkgname"=>"plplot-5.10.0_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"net/freerdp", "pkgname"=>"freerdp-1.1.0_1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"net/libkvkontakte", "pkgname"=>"libkvkontakte-3.5.0_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"net/remmina", "pkgname"=>"remmina-1.0.0_3", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"polish/kadu", "pkgname"=>"pl-kadu-1.3,1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"www/hiawatha", "pkgname"=>"hiawatha-9.8", "phase"=>"package", "errortype"=>"PLIST"}

failure logs:

http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/brlcad-7.24.0_3.log
http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/plplot-5.10.0_3.log
http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/freerdp-1.1.0_1.log
http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/libkvkontakte-3.5.0_3.log
http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/remmina-1.0.0_3.log
http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/pl-kadu-1.3,1.log
http://pb2.nyi.freebsd.org/data/101amd64-default-PR196367/2014-12-30_10h24m02s/logs/errors/hiawatha-9.8.log

I can continue on other archs when those failures are fixed
Comment 4 Raphael Kubo da Costa freebsd_committer 2014-12-31 18:39:38 UTC
All the ports listed have been fixed; please go ahead with patch -v2.
Comment 5 Antoine Brodin freebsd_committer 2015-01-02 06:34:59 UTC
On FreeBSD 8 there are 2 new failures:

http://package23.nyi.freebsd.org/data/84amd64-default-PR196367/2015-01-01_15h11m45s/logs/errors/tulip-4.6.0_1.log
(freebsd 8.4 uses gcc 4.8)

http://package23.nyi.freebsd.org/data/84amd64-default-PR196367/2015-01-01_15h11m45s/logs/errors/vtkfox-1.0.0_5.log
(vtk5 is broken with new mesa and freebsd 8.4 uses old mesa)
Comment 6 Raphael Kubo da Costa freebsd_committer 2015-01-03 14:43:11 UTC
As of ports r376116, both failures have been fixed. Were those the only remaining failures or do you need to carry on with the exp-run?
Comment 7 Antoine Brodin freebsd_committer 2015-01-03 21:29:50 UTC
Those were the 2 remaining failures,  looks good.
Comment 8 Antoine Brodin freebsd_committer 2015-01-03 22:23:35 UTC
oops please standby,  i will run a full exp-run as gtar has some side effects it seems
Comment 9 Antoine Brodin freebsd_committer 2015-01-04 22:11:24 UTC
Exp-run looks good.
(I messed up, I saw a gtar failure on head but gtar != libarchive and it was totally unrelated)
Comment 10 commit-hook freebsd_committer 2015-01-04 22:18:41 UTC
A commit references this bug:

Author: rakuco
Date: Sun Jan  4 22:18:05 UTC 2015
New revision: 376275
URL: https://svnweb.freebsd.org/changeset/ports/376275

Log:
  Update CMake to 3.1.0.

  Upstream release notes:
  http://www.cmake.org/cmake/help/v3.1/release/3.1.0.html

  Notable changes on the packaging side:
  * devel/cmake does not need USE_OPENSSL=yes anymore. In fact, it has not
    needed it since r366996, when we stopped building CMake's bundled copies
    of curl, libarchive & friends (curl was the only consumer of OpenSSL in
    CMake).

  * Likewise, we do not need to set CMAKE_USE_OPENSSL in InitialCache.cmake
    anymore.

  * On FreeBSD < 10, devel/cmake and devel/cmake-gui now depend on
    archivers/libarchive because the libarchive version in base is too old and
    does not contain some functions that CMake uses.

  PR:		196367

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/InitialCache.cmake
  head/devel/cmake/files/patch-CMakeLists.txt
  head/devel/cmake/files/patch-Utilities__cmcurl__CMakeLists.txt
  head/devel/cmake/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/cmake-modules/pkg-plist